#!/bin/sh
# /home is created by the 'default' Linux install, let's use it.
# Please "tar xzf <file>" in /home/data/apps/
# Then use "wsjt3" from any terminal window.

# yum install fftw-libs python3-pillow-tk python3-pillow python3-numpy
# libgfortran fftw-libs portaudio python3-tkinter python-imaging-tk

if [ ! -d /home/data/apps/wsjt10r4227 ] ; then
     mkdir -p /home/data/apps
     mv wsjt3.sh wsjt10r4227* /home/data/apps/.
     cd /home/data/apps; tar xzf wsjt10r4227*tgz
fi
if [ -e /usr/bin/python3 ] ; then
	LOCALBASE=/usr/local/
else
	Echo "Must have: python3"; exit 1
fi
if [ ! -e ~/.wsjt ] ; then
	mkdir ~/.wsjt
	mkdir ~/.wsjt/RxWav
fi
if [ ! -e ~/.wsjt/CALL3.TXT ] ; then
#KVASD_g95 should be in ${LOCALBASE}/bin already; unix will pick this up
	mv wsjt10r4227/KVASD_g95 ${LOCALBASE}/bin/.
	cp -f wsjt10r4227/CALL3.TXT ~/.wsjt
	cp -f wsjt10r4227/wsjtrc ~/.wsjt
	cp -f wsjt10r4227/dmet_*.dat ~/.wsjt
	cp -p wsjt3.sh ${LOCALBASE}/bin/wsjt3
fi
cd ~/.wsjt
python3 -O /home/data/apps/wsjt10r4227/wsjt.py
